//    tonalisa - software to look at overtone-structures
//    Copyright (C) 2016  Dominik Schmidt-Philipp
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include <QApplication>
#include <QtQml>
#include <QDebug>

#include "audiofile.h"
#include "peaks.h"
#include "dissonance.h"
#include "spiral.h"
#include "cartesian.h"

int main( int argc, char *argv[] )
{
  QApplication app(argc,argv);

  QCoreApplication::setApplicationName("Tonalisa");
  QCoreApplication::setOrganizationName("Freakaria");
  QCoreApplication::setOrganizationDomain("art.freakaria");
  
  QQmlApplicationEngine engine;

  qmlRegisterType<AudioFile>("art.freakaria.ton", 1, 0, "AudioFile");
  qmlRegisterType<Peaks>("art.freakaria.ton", 1, 0, "Peaks");
  qmlRegisterType<Dissonance>("art.freakaria.ton", 1, 0, "Dissonance");
  qmlRegisterType<Spiral>("art.freakaria.ton", 1, 0, "SpiralView");
  qmlRegisterType<Cartesian>("art.freakaria.ton", 1, 0, "Cartesian");
//  qDebug()<<engine.offlineStoragePath();
  engine.load("qml/main.qml");
  
  return app.exec();
}
